VismaBouwsoftAPICalls.v1_GET_PurchaseInvoices Method
v1_GET_PurchaseInvoices() as String

This API call is used to get fields of a(n) PurchaseInvoice(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /PurchaseInvoices/
or
API Path: /PurchaseInvoices/{id}
or
API Path: /PurchaseInvoices/FieldInfo/

You can make this API call:
* without the key field id to get a list of PurchaseInvoices
* with the key field id as the path parameter (the specific id of the PurchaseInvoice you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Name Length Required Writeable Force Write Link
company_id tpLong 0 No Yes No
nr tpLong 0 No Yes No
date tpDate 0 No Yes No
expirationdate tpDate 0 No Yes No
nr_supplier tpString 100 No Yes No
concerning tpString 250 No Yes No
paymentnotification tpString 200 No Yes No
ledger tpLong 0 No Yes No
depreciation tpDouble 0 No Yes No
accountnumber tpString 30 No Yes No
address_id tpLong 0 No Yes No
address_name tpString 150 No Yes No
address_address tpString 63 No Yes No
address_addressline2 tpString 63 No No No
address_countrycode tpString 2 No Yes No
address_zipcode tpString 15 No Yes No
address_vatnr tpString 30 No Yes No
commercialdiscount tpDouble 0 No Yes No
cashdiscount tpDouble 0 No Yes No
cashdiscount_amount tpCurrency 0 No Yes No
cashdiscount_approved tpBool 0 No Yes No
basis1 tpCurrency 0 No Yes No
vatid1 tpLong 0 No Yes No
vatcode1 tpString 5 No Yes No
vatpercent1 tpDouble 0 No Yes No
vatcocontractor1 tpBool 0 No Yes No
amountexclvat1 tpCurrency 0 No No No
taxableamount1 tpCurrency 0 No No No
vatamount1 tpCurrency 0 No No No
amountinclvat1 tpCurrency 0 No No No
basis2 tpCurrency 0 No Yes No
vatid2 tpLong 0 No Yes No
vatcode2 tpString 5 No Yes No
vatpercent2 tpDouble 0 No Yes No
vatcocontractor2 tpBool 0 No Yes No
amountexclvat2 tpCurrency 0 No No No
taxableamount2 tpCurrency 0 No No No
vatamount2 tpCurrency 0 No No No
amountinclvat2 tpCurrency 0 No No No
basis3 tpCurrency 0 No Yes No
vatid3 tpLong 0 No Yes No
vatcode3 tpString 5 No Yes No
vatpercent3 tpDouble 0 No Yes No
vatcocontractor3 tpBool 0 No Yes No
amountexclvat3 tpCurrency 0 No No No
taxableamount3 tpCurrency 0 No No No
vatamount3 tpCurrency 0 No No No
amountinclvat3 tpCurrency 0 No No No
basis4 tpCurrency 0 No Yes No
vatid4 tpLong 0 No Yes No
vatcode4 tpString 5 No Yes No
vatpercent4 tpDouble 0 No Yes No
vatcocontractor4 tpBool 0 No Yes No
amountexclvat4 tpCurrency 0 No No No
taxableamount4 tpCurrency 0 No No No
vatamount4 tpCurrency 0 No No No
amountinclvat4 tpCurrency 0 No No No
basis5 tpCurrency 0 No Yes No
vatid5 tpLong 0 No Yes No
vatcode5 tpString 5 No Yes No
vatpercent5 tpDouble 0 No Yes No
vatcocontractor5 tpBool 0 No Yes No
amountexclvat5 tpCurrency 0 No No No
taxableamount5 tpCurrency 0 No No No
vatamount5 tpCurrency 0 No No No
amountinclvat5 tpCurrency 0 No No No
totalsbasedonvatcodebreakdown tpBool 0 No No No
amountexclvat_total tpCurrency 0 No Yes No
vatamount_total tpCurrency 0 No Yes No
amountinclvat_total tpCurrency 0 No No No
paid tpBool 0 No Yes No
amountoutstanding tpCurrency 0 No No No
amountpaid tpCurrency 0 No No No
ts_lastupdate tpDate 0 No No No

/PurchaseInvoices/

API Path: /PurchaseInvoices/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoices

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: DkDfWxfkVfzSfGlUVfzRqOVIffVAfGPjfGtkzIGjbfPGUrVtDD

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/595”, “Records”: [
  {
    "id": 2,
    "company_id": 2,
    "nr": 20140007,
    "date": "2012–04–18",
    "expirationdate": "2012–05–18",
    "nr_supplier": "AF123456",
    "concerning": "",
    "paymentnotification": "lkhdflkqdjhs",
    "ledger": 600,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 25,
    "address_name": "Levis Verplancke",
    "address_address": "Julius Delaplacestraat 20",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8310",
    "address_city": "Assebroek (Brugge)",
    "address_vatnr": "",
    "commercialdiscount": 0,
    "cashdiscount": 0,
    "cashdiscount_amount": 0.0,
    "cashdiscount_approved": false,
    "basis1": 0.0,
    "vatid1": 1,
    "vatcode1": "0",
    "vatpercent1": 0,
    "vatcocontractor1": false,
    "amountexclvat1": 0.0,
    "taxableamount1": 0.0,
    "vatamount1": 0.0,
    "amountinclvat1": 0.0,
    "basis2": 0.0,
    "vatid2": 3,
    "vatcode2": "6",
    "vatpercent2": 6,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 4,
    "vatcode3": "6M",
    "vatpercent3": 6,
    "vatcocontractor3": true,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 1000.0,
    "vatid4": 7,
    "vatcode4": "21",
    "vatpercent4": 21,
    "vatcocontractor4": false,
    "amountexclvat4": 1000.0,
    "taxableamount4": 1000.0,
    "vatamount4": 210.0,
    "amountinclvat4": 1210.0,
    "basis5": 0.0,
    "vatid5": 8,
    "vatcode5": "21M",
    "vatpercent5": 21,
    "vatcocontractor5": true,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": true,
    "amountexclvat_total": 1000.0,
    "vatamount_total": 210.0,
    "amountinclvat_total": 1210.0,
    "paid": false,
    "amountoutstanding": 0.0,
    "amountpaid": 1210.0,
    "ts_lastupdate": "2023–09–06 14:49:21"
  },
  {
    "id": 11,
    "company_id": 3,
    "nr": 20120001,
    "date": "2012–06–15",
    "expirationdate": "2012–07–15",
    "nr_supplier": "",
    "concerning": "",
    "paymentnotification": "",
    "ledger": 0,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 34,
    "address_name": "A. OTTE EN ZOON",
    "address_address": "HAVENWEG 20",
    "address_addressline2": "",
    "address_countrycode": "",
    "address_zipcode": "",
    "address_city": "",
    "address_vatnr": "NL 813209791B01",
    "commercialdiscount": 0,
    "cashdiscount": 0,
    "cashdiscount_amount": 0.0,
    "cashdiscount_approved": false,
    "basis1": 0.0,
    "vatid1": 1,
    "vatcode1": "0",
    "vatpercent1": 0,
    "vatcocontractor1": false,
    "amountexclvat1": 0.0,
    "taxableamount1": 0.0,
    "vatamount1": 0.0,
    "amountinclvat1": 0.0,
    "basis2": 0.0,
    "vatid2": 3,
    "vatcode2": "6",
    "vatpercent2": 6,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 10,
    "vatcode3": "12",
    "vatpercent3": 12.5,
    "vatcocontractor3": false,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 5410.0,
    "vatid4": 7,
    "vatcode4": "21",
    "vatpercent4": 21,
    "vatcocontractor4": false,
    "amountexclvat4": 5410.0,
    "taxableamount4": 5410.0,
    "vatamount4": 1136.099999999999909,
    "amountinclvat4": 6546.100000000000364,
    "basis5": 0.0,
    "vatid5": 8,
    "vatcode5": "21M",
    "vatpercent5": 21,
    "vatcocontractor5": true,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": true,
    "amountexclvat_total": 5410.0,
    "vatamount_total": 1136.099999999999909,
    "amountinclvat_total": 6546.100000000000364,
    "paid": true,
    "amountoutstanding": 6546.100000000000364,
    "amountpaid": 0.0,
    "ts_lastupdate": "2023–09–06 14:49:21"
  }
,

]
}

/PurchaseInvoices/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoices/935

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: trbfWxfkIOzSfGPDktzRqOVbftGVIOmOjDjtzmmDttjGfDlVGl
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 935,
    "company_id": 1,
    "nr": 202000140,
    "date": "2017–04–20",
    "expirationdate": "2017–04–21",
    "nr_supplier": "",
    "concerning": "",
    "paymentnotification": "000000513490",
    "ledger": 0,
    "depreciation": 100,
    "accountnumber": "",
    "address_id": 329298,
    "address_name": "DirkAPISupp",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Meetkerke",
    "address_vatnr": "",
    "commercialdiscount": 5,
    "cashdiscount": 3.356115,
    "cashdiscount_amount": 4.8,
    "cashdiscount_approved": true,
    "basis1": 150.550000000000011,
    "vatid1": 7,
    "vatcode1": "21",
    "vatpercent1": 21,
    "vatcocontractor1": false,
    "amountexclvat1": 143.02000000000001,
    "taxableamount1": 138.219999999999999,
    "vatamount1": 29.030000000000001,
    "amountinclvat1": 172.050000000000011,
    "basis2": 0.0,
    "vatid2": 23,
    "vatcode2": "21B",
    "vatpercent2": 21,
    "vatcocontractor2": false,
    "amountexclvat2": 0.0,
    "taxableamount2": 0.0,
    "vatamount2": 0.0,
    "amountinclvat2": 0.0,
    "basis3": 0.0,
    "vatid3": 8,
    "vatcode3": "21M",
    "vatpercent3": 21,
    "vatcocontractor3": true,
    "amountexclvat3": 0.0,
    "taxableamount3": 0.0,
    "vatamount3": 0.0,
    "amountinclvat3": 0.0,
    "basis4": 0.0,
    "vatid4": 28,
    "vatcode4": "6B",
    "vatpercent4": 6,
    "vatcocontractor4": false,
    "amountexclvat4": 0.0,
    "taxableamount4": 0.0,
    "vatamount4": 0.0,
    "amountinclvat4": 0.0,
    "basis5": 0.0,
    "vatid5": 11,
    "vatcode5": "19FR",
    "vatpercent5": 19,
    "vatcocontractor5": false,
    "amountexclvat5": 0.0,
    "taxableamount5": 0.0,
    "vatamount5": 0.0,
    "amountinclvat5": 0.0,
    "totalsbasedonvatcodebreakdown": true,
    "amountexclvat_total": 150.550000000000011,
    "vatamount_total": 29.030000000000001,
    "amountinclvat_total": 172.050000000000011,
    "paid": false,
    "amountoutstanding": 0.0,
    "amountpaid": 167.25,
    "ts_lastupdate": "2026–04–08 08:40:31"
  }
]
}

/PurchaseInvoices/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/PurchaseInvoices/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "company_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "nr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  }
,

]